<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>BSI FIDELIO eService: C:/Development/workspaces/adesso/eService/src/de/persoapp/core/util/ArrayTool.java Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">BSI FIDELIO eService
   &#160;<span id="projectnumber">1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_array_tool_8java_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">ArrayTool.java</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_array_tool_8java.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="namespacede_1_1persoapp_1_1core_1_1util.html">   49</a></span>&#160;<span class="keyword">package </span>de.persoapp.core.util;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html">   59</a></span>&#160;<span class="keyword">public</span> <span class="keyword">class </span><a class="code" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html">ArrayTool</a> {</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a8f01a7a4e0bf3265ffeb0c6bdbf3dee2">   64</a></span>&#160;    <span class="keyword">public</span> <a class="code" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a8f01a7a4e0bf3265ffeb0c6bdbf3dee2">ArrayTool</a>() {</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    }</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a9ceb79f761d025ca06139ee6935420c6">   91</a></span>&#160;    <span class="keyword">public</span> <span class="keyword">static</span> <span class="keyword">final</span> byte[] <a class="code" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a9ceb79f761d025ca06139ee6935420c6">arrayconcat</a>(<span class="keyword">final</span> byte[] b1, <span class="keyword">final</span> <span class="keywordtype">int</span> offset1, <span class="keyword">final</span> <span class="keywordtype">int</span> length1, <span class="keyword">final</span> byte[] b2,</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            <span class="keyword">final</span> <span class="keywordtype">int</span> offset2, <span class="keyword">final</span> <span class="keywordtype">int</span> length2) {</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        <span class="keywordflow">if</span> (b1 == null || b2 == null || offset1 + length1 &gt; b1.length || offset2 + length2 &gt; b2.length) {</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;            <span class="keywordflow">return</span> null;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        }</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        <span class="keyword">final</span> byte[] result = <span class="keyword">new</span> byte[length1 + length2];</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        System.arraycopy(b1, offset1, result, 0, length1);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        System.arraycopy(b2, offset2, result, length1, length2);</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        <span class="keywordflow">return</span> result;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    }</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno"><a class="line" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a942efe96c0b683a66fb4cf688e3dce09">  117</a></span>&#160;    <span class="keyword">public</span> <span class="keyword">static</span> <span class="keyword">final</span> byte[] <a class="code" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a942efe96c0b683a66fb4cf688e3dce09">arrayconcat</a>(<span class="keyword">final</span> byte[] b1, <span class="keyword">final</span> byte[] b2) {</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a9ceb79f761d025ca06139ee6935420c6">arrayconcat</a>(b1, 0, b1.length, b2, 0, b2.length);</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    }</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno"><a class="line" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a4a210e2647c65a7c2fc7d901dc6b5f45">  136</a></span>&#160;    <span class="keyword">public</span> <span class="keyword">static</span> <span class="keyword">final</span> byte[] <a class="code" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a4a210e2647c65a7c2fc7d901dc6b5f45">subArray</a>(<span class="keyword">final</span> byte[] b1, <span class="keyword">final</span> <span class="keywordtype">int</span> offset, <span class="keyword">final</span> <span class="keywordtype">int</span> length) {</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        <span class="keywordflow">if</span> (b1 == null || offset + length &gt; b1.length) {</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;            <span class="keywordflow">return</span> null;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        }</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        <span class="keyword">final</span> byte[] result = <span class="keyword">new</span> byte[length];</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        System.arraycopy(b1, offset, result, 0, length);</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;        <span class="keywordflow">return</span> result;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    }</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno"><a class="line" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#af37f37c46157e1c97111a567c0f1157c">  158</a></span>&#160;    <span class="keyword">public</span> <span class="keyword">static</span> <span class="keyword">final</span> <span class="keywordtype">boolean</span> <a class="code" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#af37f37c46157e1c97111a567c0f1157c">arrayequal</a>(<span class="keyword">final</span> byte[] b1, <span class="keyword">final</span> byte[] b2) {</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;        <span class="keywordflow">if</span> (b1.length != b2.length) {</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;        }</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; b1.length; i++) {</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;            <span class="keywordflow">if</span> (b1[i] != b2[i]) {</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;            }</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;        }</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    }</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;</div><div class="line"><a name="l00187"></a><span class="lineno"><a class="line" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a90ee2bbd646eb871812dd77655746842">  187</a></span>&#160;    <span class="keyword">public</span> <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a90ee2bbd646eb871812dd77655746842">insertShortInByteArray</a>(<span class="keyword">final</span> byte[] b, <span class="keyword">final</span> <span class="keywordtype">int</span> ofs, <span class="keyword">final</span> <span class="keywordtype">int</span> s) {</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;        b[ofs + 0] = (byte) ((s &amp; 0xFF00) &gt;&gt; 8);</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;        b[ofs + 1] = (byte) (s &amp; 0x00FF);</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    }</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno"><a class="line" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a7021c7761a272d5e363160fc7fbae068">  208</a></span>&#160;    <span class="keyword">public</span> <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a7021c7761a272d5e363160fc7fbae068">insertIntInByteArray</a>(<span class="keyword">final</span> byte[] b, <span class="keyword">final</span> <span class="keywordtype">int</span> ofs, <span class="keyword">final</span> <span class="keywordtype">int</span> i) {</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;        b[ofs + 0] = (byte) ((i &amp; 0xFF000000) &gt;&gt; 24);</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;        b[ofs + 1] = (byte) ((i &amp; 0x00FF0000) &gt;&gt; 16);</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;        b[ofs + 2] = (byte) ((i &amp; 0x0000FF00) &gt;&gt; 8);</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;        b[ofs + 3] = (byte) (i &amp; 0x000000FF);</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;    }</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;</div><div class="line"><a name="l00231"></a><span class="lineno"><a class="line" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a7fd453fca20cabeb9378d3d50f22c8b0">  231</a></span>&#160;    <span class="keyword">public</span> <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a7fd453fca20cabeb9378d3d50f22c8b0">insertLongInByteArray</a>(<span class="keyword">final</span> byte[] b, <span class="keyword">final</span> <span class="keywordtype">int</span> ofs, <span class="keyword">final</span> <span class="keywordtype">long</span> l) {</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;        b[ofs + 0] = (byte) ((l &amp; 0xFF00000000000000L) &gt;&gt; 56);</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;        b[ofs + 1] = (byte) ((l &amp; 0x00FF000000000000L) &gt;&gt; 48);</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;        b[ofs + 2] = (byte) ((l &amp; 0x0000FF0000000000L) &gt;&gt; 40);</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;        b[ofs + 3] = (byte) ((l &amp; 0x000000FF00000000L) &gt;&gt; 32);</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;        b[ofs + 4] = (byte) ((l &amp; 0x00000000FF000000L) &gt;&gt; 24);</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;        b[ofs + 5] = (byte) ((l &amp; 0x0000000000FF0000L) &gt;&gt; 16);</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;        b[ofs + 6] = (byte) ((l &amp; 0x000000000000FF00L) &gt;&gt; 8);</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;        b[ofs + 7] = (byte) (l &amp; 0x00000000000000FFL);</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;    }</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;</div><div class="line"><a name="l00257"></a><span class="lineno"><a class="line" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#aeba1549cb16d357a4bf41a8061038b41">  257</a></span>&#160;    <span class="keyword">public</span> <span class="keyword">static</span> <span class="keywordtype">short</span> <a class="code" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#aeba1549cb16d357a4bf41a8061038b41">createShortfromByteArray</a>(<span class="keyword">final</span> byte[] b, <span class="keyword">final</span> <span class="keywordtype">int</span> ofs) {</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;        <span class="keyword">final</span> <span class="keywordtype">short</span> result = (short) (((<span class="keywordtype">short</span>) (b[ofs + 0] &amp; 0xFF) &lt;&lt; 8) + (short) (b[ofs + 1] &amp; 0xFF));</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;        <span class="keywordflow">return</span> result;</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;    }</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;</div><div class="line"><a name="l00278"></a><span class="lineno"><a class="line" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#ace7e1e9b6a6e764d9a0a8953ac29d291">  278</a></span>&#160;    <span class="keyword">public</span> <span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#ace7e1e9b6a6e764d9a0a8953ac29d291">createIntfromByteArray</a>(<span class="keyword">final</span> byte[] b, <span class="keyword">final</span> <span class="keywordtype">int</span> ofs) {</div><div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;        <span class="keyword">final</span> <span class="keywordtype">int</span> result = ((b[ofs + 0] &amp; 0xFF) &lt;&lt; 24) + ((b[ofs + 1] &amp; 0xFF) &lt;&lt; 16) + ((b[ofs + 2] &amp; 0xFF) &lt;&lt; 8)</div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;                + (b[ofs + 3] &amp; 0xFF);</div><div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;        <span class="keywordflow">return</span> result;</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;    }</div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;</div><div class="line"><a name="l00300"></a><span class="lineno"><a class="line" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a9da62abfac05cc660a108a53c07929bd">  300</a></span>&#160;    <span class="keyword">public</span> <span class="keyword">static</span> <span class="keywordtype">long</span> <a class="code" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a9da62abfac05cc660a108a53c07929bd">createLongfromByteArray</a>(<span class="keyword">final</span> byte[] b, <span class="keyword">final</span> <span class="keywordtype">int</span> ofs) {</div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;        <span class="keyword">final</span> <span class="keywordtype">long</span> result = ((long) (b[ofs + 0] &amp; 0xFF) &lt;&lt; 56) + ((<span class="keywordtype">long</span>) (b[ofs + 1] &amp; 0xFF) &lt;&lt; 48)</div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;                + ((long) (b[ofs + 2] &amp; 0xFF) &lt;&lt; 40) + ((<span class="keywordtype">long</span>) (b[ofs + 3] &amp; 0xFF) &lt;&lt; 32)</div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;                + ((long) (b[ofs + 4] &amp; 0xFF) &lt;&lt; 24) + ((<span class="keywordtype">long</span>) (b[ofs + 5] &amp; 0xFF) &lt;&lt; 16)</div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;                + ((long) (b[ofs + 6] &amp; 0xFF) &lt;&lt; 8) + (b[ofs + 7] &amp; 0xFF);</div><div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;</div><div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;        <span class="keywordflow">return</span> result;</div><div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;    }</div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;</div><div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160;    <span class="comment">// overwrite byte arrays</span></div><div class="line"><a name="l00318"></a><span class="lineno"><a class="line" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#ab88fe9ee17eb8ea0520647df94379602">  318</a></span>&#160;    <span class="keyword">public</span> <span class="keyword">static</span> <span class="keyword">final</span> <span class="keywordtype">void</span> <a class="code" href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#ab88fe9ee17eb8ea0520647df94379602">overwrite</a>(<span class="keyword">final</span> byte[] b) {</div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;        <span class="keywordflow">if</span> (b == null) {</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;            <span class="keywordflow">return</span>;</div><div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;        }</div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; b.length; i++) {</div><div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;            b[i] = 0;</div><div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;        }</div><div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;    }</div><div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;</div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;}</div><div class="ttc" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_html_ace7e1e9b6a6e764d9a0a8953ac29d291"><div class="ttname"><a href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#ace7e1e9b6a6e764d9a0a8953ac29d291">de.persoapp.core.util.ArrayTool.createIntfromByteArray</a></div><div class="ttdeci">static int createIntfromByteArray(final byte[] b, final int ofs)</div><div class="ttdef"><b>Definition:</b> <a href="_array_tool_8java_source.html#l00278">ArrayTool.java:278</a></div></div>
<div class="ttc" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_html_a9da62abfac05cc660a108a53c07929bd"><div class="ttname"><a href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a9da62abfac05cc660a108a53c07929bd">de.persoapp.core.util.ArrayTool.createLongfromByteArray</a></div><div class="ttdeci">static long createLongfromByteArray(final byte[] b, final int ofs)</div><div class="ttdef"><b>Definition:</b> <a href="_array_tool_8java_source.html#l00300">ArrayTool.java:300</a></div></div>
<div class="ttc" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_html_a90ee2bbd646eb871812dd77655746842"><div class="ttname"><a href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a90ee2bbd646eb871812dd77655746842">de.persoapp.core.util.ArrayTool.insertShortInByteArray</a></div><div class="ttdeci">static void insertShortInByteArray(final byte[] b, final int ofs, final int s)</div><div class="ttdef"><b>Definition:</b> <a href="_array_tool_8java_source.html#l00187">ArrayTool.java:187</a></div></div>
<div class="ttc" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_html_a8f01a7a4e0bf3265ffeb0c6bdbf3dee2"><div class="ttname"><a href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a8f01a7a4e0bf3265ffeb0c6bdbf3dee2">de.persoapp.core.util.ArrayTool.ArrayTool</a></div><div class="ttdeci">ArrayTool()</div><div class="ttdef"><b>Definition:</b> <a href="_array_tool_8java_source.html#l00064">ArrayTool.java:64</a></div></div>
<div class="ttc" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_html_a7fd453fca20cabeb9378d3d50f22c8b0"><div class="ttname"><a href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a7fd453fca20cabeb9378d3d50f22c8b0">de.persoapp.core.util.ArrayTool.insertLongInByteArray</a></div><div class="ttdeci">static void insertLongInByteArray(final byte[] b, final int ofs, final long l)</div><div class="ttdef"><b>Definition:</b> <a href="_array_tool_8java_source.html#l00231">ArrayTool.java:231</a></div></div>
<div class="ttc" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_html_a942efe96c0b683a66fb4cf688e3dce09"><div class="ttname"><a href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a942efe96c0b683a66fb4cf688e3dce09">de.persoapp.core.util.ArrayTool.arrayconcat</a></div><div class="ttdeci">static final byte [] arrayconcat(final byte[] b1, final byte[] b2)</div><div class="ttdef"><b>Definition:</b> <a href="_array_tool_8java_source.html#l00117">ArrayTool.java:117</a></div></div>
<div class="ttc" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_html_a4a210e2647c65a7c2fc7d901dc6b5f45"><div class="ttname"><a href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a4a210e2647c65a7c2fc7d901dc6b5f45">de.persoapp.core.util.ArrayTool.subArray</a></div><div class="ttdeci">static final byte [] subArray(final byte[] b1, final int offset, final int length)</div><div class="ttdef"><b>Definition:</b> <a href="_array_tool_8java_source.html#l00136">ArrayTool.java:136</a></div></div>
<div class="ttc" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_html_ab88fe9ee17eb8ea0520647df94379602"><div class="ttname"><a href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#ab88fe9ee17eb8ea0520647df94379602">de.persoapp.core.util.ArrayTool.overwrite</a></div><div class="ttdeci">static final void overwrite(final byte[] b)</div><div class="ttdef"><b>Definition:</b> <a href="_array_tool_8java_source.html#l00318">ArrayTool.java:318</a></div></div>
<div class="ttc" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_html_aeba1549cb16d357a4bf41a8061038b41"><div class="ttname"><a href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#aeba1549cb16d357a4bf41a8061038b41">de.persoapp.core.util.ArrayTool.createShortfromByteArray</a></div><div class="ttdeci">static short createShortfromByteArray(final byte[] b, final int ofs)</div><div class="ttdef"><b>Definition:</b> <a href="_array_tool_8java_source.html#l00257">ArrayTool.java:257</a></div></div>
<div class="ttc" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_html_a7021c7761a272d5e363160fc7fbae068"><div class="ttname"><a href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a7021c7761a272d5e363160fc7fbae068">de.persoapp.core.util.ArrayTool.insertIntInByteArray</a></div><div class="ttdeci">static void insertIntInByteArray(final byte[] b, final int ofs, final int i)</div><div class="ttdef"><b>Definition:</b> <a href="_array_tool_8java_source.html#l00208">ArrayTool.java:208</a></div></div>
<div class="ttc" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_html_a9ceb79f761d025ca06139ee6935420c6"><div class="ttname"><a href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#a9ceb79f761d025ca06139ee6935420c6">de.persoapp.core.util.ArrayTool.arrayconcat</a></div><div class="ttdeci">static final byte [] arrayconcat(final byte[] b1, final int offset1, final int length1, final byte[] b2, final int offset2, final int length2)</div><div class="ttdef"><b>Definition:</b> <a href="_array_tool_8java_source.html#l00091">ArrayTool.java:91</a></div></div>
<div class="ttc" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_html"><div class="ttname"><a href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html">de.persoapp.core.util.ArrayTool</a></div><div class="ttdef"><b>Definition:</b> <a href="_array_tool_8java_source.html#l00059">ArrayTool.java:59</a></div></div>
<div class="ttc" id="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool_html_af37f37c46157e1c97111a567c0f1157c"><div class="ttname"><a href="classde_1_1persoapp_1_1core_1_1util_1_1_array_tool.html#af37f37c46157e1c97111a567c0f1157c">de.persoapp.core.util.ArrayTool.arrayequal</a></div><div class="ttdeci">static final boolean arrayequal(final byte[] b1, final byte[] b2)</div><div class="ttdef"><b>Definition:</b> <a href="_array_tool_8java_source.html#l00158">ArrayTool.java:158</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_821818eb74338e35a65f6fbb6b6439d5.html">de</a></li><li class="navelem"><a class="el" href="dir_e17ba93dc8582705719989aa0a036cc1.html">persoapp</a></li><li class="navelem"><a class="el" href="dir_51cadef5bcb91a59d75d7a5feffde90c.html">core</a></li><li class="navelem"><a class="el" href="dir_531e886f68125c0bfd8a3d13ac90b931.html">util</a></li><li class="navelem"><a class="el" href="_array_tool_8java.html">ArrayTool.java</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
